Evaluating 3.01 - Rails server launcher wasn't found in project

What do I need to do?

Trying to debug.  It's a functioning Rails 3 project loaded into RubyMine.  The only thing I see is a red pop-up with the message "Rails server launcher wasn't found in project" that quickly disappears when I click anywhere else.

There are also several rake related issues in a messages window (see details further down) which occurred when I first loaded the project .  No clue about these either.  Why would it not find git?  Git is installed.

RubyGems Environment:
RUBYGEMS VERSION: 1.3.7
RUBY VERSION: 1.9.2 (2010-08-18 patchlevel 0) [i386-darwin9.8.0]
INSTALLATION DIRECTORY: /Users/username/.rvm/gems/ruby-1.9.2-p0@rails300_final
RUBY EXECUTABLE: /Users/username/.rvm/rubies/ruby-1.9.2-p0/bin/ruby
EXECUTABLE DIRECTORY: /Users/username/.rvm/gems/ruby-1.9.2-p0@rails300_final/bin
RUBYGEMS PLATFORMS:
  ruby
  x86-darwin-9
GEM PATHS:
   /Users/username/.rvm/gems/ruby-1.9.2-p0@rails300_final
   /Users/username/.rvm/gems/ruby-1.9.2-p0@global
GEM CONFIGURATION:
   :update_sources => true
   :verbose => true
   :benchmark => false
   :backtrace => false
   :bulk_threshold => 1000
   "gem" => "--no-user-install"
REMOTE SOURCES:
   http://rubygems.org/
----------------------
IDE: JetBrains RubyMine 3.0.1, build #RM-97.133
RubyMine SDK Environment:
Sdk: Ruby SDK 1.9.2-p0 [rails300_final]
Sdk Version: ver.1.9.2p0 ( revision 29036) p0
Ruby Interpreter: /Users/username/.rvm/rubies/ruby-1.9.2-p0/bin/ruby
RVM Sdk: yes, gemset:rails300_final
Sdk Language Level: 1.9
Sdk Load Path:
     /Users/username/.rvm/rubies/ruby-1.9.2-p0/lib/ruby/site_ruby/1.9.1
     /Users/username/.rvm/rubies/ruby-1.9.2-p0/lib/ruby/site_ruby/1.9.1/i386-darwin9.8.0
     /Users/username/.rvm/rubies/ruby-1.9.2-p0/lib/ruby/site_ruby
     /Users/username/.rvm/rubies/ruby-1.9.2-p0/lib/ruby/vendor_ruby/1.9.1
     /Users/username/.rvm/rubies/ruby-1.9.2-p0/lib/ruby/vendor_ruby/1.9.1/i386-darwin9.8.0
     /Users/username/.rvm/rubies/ruby-1.9.2-p0/lib/ruby/vendor_ruby
     /Users/username/.rvm/rubies/ruby-1.9.2-p0/lib/ruby/1.9.1
     /Users/username/.rvm/rubies/ruby-1.9.2-p0/lib/ruby/1.9.1/i386-darwin9.8.0
     /Applications/RubyMine 3.0.1.app/rubystubs19
Sdk Gem paths:
     file:///Users/username/.rvm/gems/ruby-1.9.2-p0@rails300_final/bundler/gems
     file:///Users/username/.rvm/gems/ruby-1.9.2-p0@rails300_final/gems
     file:///Users/username/.rvm/gems/ruby-1.9.2-p0@global/gems

[rake --prereqs] rake aborted!
git version   2>&1:sh: git: command not found
/Users/username/.rvm/gems/ruby-1.9.2-p0@rails300_final/gems/git-1.2.5/lib/git/lib.rb:700:in `command'
/Users/username/.rvm/gems/ruby-1.9.2-p0@rails300_final/gems/git-1.2.5/lib/git/lib.rb:649:in `current_command_version'
/Users/username/.rvm/gems/ruby-1.9.2-p0@rails300_final/gems/git-1.2.5/lib/git/lib.rb:659:in `meets_required_version?'
/Users/username/.rvm/gems/ruby-1.9.2-p0@rails300_final/gems/git-1.2.5/lib/git.rb:30:in `<top (required)>'
<internal:lib/rubygems/custom_require>:29:in `require'
<internal:lib/rubygems/custom_require>:29:in `require'
/Users/username/.rvm/gems/ruby-1.9.2-p0@rails300_final/gems/jeweler-1.4.0/lib/jeweler/specification.rb:46:in `block in set_jeweler_defaults'
/Users/username/.rvm/gems/ruby-1.9.2-p0@rails300_final/gems/jeweler-1.4.0/lib/jeweler/specification.rb:44:in `chdir'
/Users/username/.rvm/gems/ruby-1.9.2-p0@rails300_final/gems/jeweler-1.4.0/lib/jeweler/specification.rb:44:in `set_jeweler_defaults'
/Users/username/.rvm/gems/ruby-1.9.2-p0@rails300_final/gems/jeweler-1.4.0/lib/jeweler.rb:33:in `initialize'
/Users/username/.rvm/gems/ruby-1.9.2-p0@rails300_final/gems/jeweler-1.4.0/lib/jeweler/tasks.rb:43:in `new'
/Users/username/.rvm/gems/ruby-1.9.2-p0@rails300_final/gems/jeweler-1.4.0/lib/jeweler/tasks.rb:43:in `jeweler'
/Users/username/.rvm/gems/ruby-1.9.2-p0@rails300_final/gems/jeweler-1.4.0/lib/jeweler/tasks.rb:11:in `jeweler'
/Users/username/.rvm/gems/ruby-1.9.2-p0@rails300_final/gems/jeweler-1.4.0/lib/jeweler/gemcutter_tasks.rb:20:in `initialize'
/Users/username/Development/rails3final/devise_ak/Rakefile:53:in `new'
/Users/username/Development/rails3final/devise_ak/Rakefile:53:in `<top (required)>'
/Users/username/.rvm/rubies/ruby-1.9.2-p0/lib/ruby/1.9.1/rake.rb:2373:in `load'
/Users/username/.rvm/rubies/ruby-1.9.2-p0/lib/ruby/1.9.1/rake.rb:2373:in `raw_load_rakefile'
/Users/username/.rvm/rubies/ruby-1.9.2-p0/lib/ruby/1.9.1/rake.rb:2007:in `block in load_rakefile'
/Users/username/.rvm/rubies/ruby-1.9.2-p0/lib/ruby/1.9.1/rake.rb:2058:in `standard_exception_handling'
/Users/username/.rvm/rubies/ruby-1.9.2-p0/lib/ruby/1.9.1/rake.rb:2006:in `load_rakefile'
/Users/username/.rvm/rubies/ruby-1.9.2-p0/lib/ruby/1.9.1/rake.rb:1991:in `run'
/Users/username/.rvm/rubies/ruby-1.9.2-p0/bin/rake:36:in `<main>'

3 comments
Comment actions Permalink

Please open File | Settings | Ruby SDK and Gems dialog. Which rails gems version is "attached" there? 2.x or 3.x or both? Only some 3.x version should be attached there. If your are not sure, just attach a screenshot of the dialog.

0
Comment actions Permalink

All Rails gems are 3.0.0 - they are all from the rails300_final RVM Gemset.  Also, Ruby SDK 1.9.2-p0 is used, which is consistent with the RVM configuration for that project.  The webrat gem is reported missing, which shouldn't be a problem, as I'm not running tests, or is it?

0
Comment actions Permalink

I've been starting new and got past the launch issue.  Not sure what was different - maybe permissions and/or connections.  Thanks for the help.

0

Please sign in to leave a comment.